#ifndef BULLETMANUFACTURER_H
#define BULLETMANUFACTURER_H

#include "manufacturer.h"
#include "bullet.h"

class CBulletManufacturer : public IManufacturer
{
public:
    CBulletManufacturer() {}
    virtual ~CBulletManufacturer() {}

    IEntity* Create() {return new CBullet();}
    IEntity* Create( CSprite* sprite ) {CBullet* temp = new CBullet(); temp->Init(sprite); return temp;}
};


#endif // BULLETMANUFACTURER_H
